Subject: nbtree VACUUM's REDO routine doesn't clear page's VACUUM cycle ID

From: Peter Geoghegan <[email-masked]>
Date: Fri, 15 Nov 2024 11:33:37 -0500

Attached patch teaches btree_xlog_vacuum, nbtree VACUUM's REDO
routine, to reset the target page's opaque->btpo_cycleid to 0. This
makes the REDO routine match original execution, which seems like a
good idea on consistency grounds.

I propose this for the master branch only.
-- 
Peter Geoghegan